<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<title>Passing on data with events</title>
	</head>
	<body>
		<div id="app">
			<h1>Passing on data with events</h1>
			<p>{{firstName}}</p>
			<p>{{lastName}}</p>
			<hr />
			<label>First Name</label>
			<input type="text" v-model="firstName" />
			<label>Last Name</label>
			<input
				type="text"
				:value="lastName"
				@input="updateLastName('Last name event trigged', $event)"
			/>
			<script src="https://unpkg.com/vue@next"></script>
			<script src="app.js"></script>
		</div>
	</body>
</html>
